org.modeshape.jcr.spi.index

## Interface Index

- All Superinterfaces:
    Filter

      public interface Index
      extends Filter

  An index used by the query system to quickly provide the set of `NodeKey`s that satisfy a particular portion of a query.

  Each time ModeShape uses this index, it calls the `Filter.filter(IndexConstraints)` method with a set of `IndexConstraints` to obtain an `Filter.Results` instance that ModeShape will then use to `access` the batches of node keys that satisfy the constraints. Note that once an `Filter.Results` is obtained, it may be called zero or more times but will always be closed.

  See Also:
    `IndexProvider.getIndex(String,String)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.modeshape.jcr.spi.index.provider.Filter

      `Filter.Results`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get the name of this index.
    `String` | `getProviderName()` Get the name of the `IndexProvider` that owns this index.
    `boolean` | `isEnabled()` Determine if this index is enabled for use.
    `boolean` | `supportsFullTextConstraints()` Return whether this index can use full-text search constraints.

    - ### Methods inherited from interface org.modeshape.jcr.spi.index.provider.Filter

      `filter`

- - ### Method Detail

    - #### getProviderName

          String getProviderName()

      Get the name of the `IndexProvider` that owns this index.
      Returns:
        the provider's `name`; never null

    - #### getName

          String getName()

      Get the name of this index.
      Returns:
        the index name; never null

    - #### supportsFullTextConstraints

          boolean supportsFullTextConstraints()

      Return whether this index can use full-text search constraints. Such indexes may be used in some queries even if they are not the lowest-cost option.
      Returns:
        true if this index can use full-text search constraints, or false otherwise.

    - #### isEnabled

          boolean isEnabled()

      Determine if this index is enabled for use.
      Returns:
        true if enabled, or false otherwise

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.